import java.awt.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;

import app.*;
import io.*;
import visual.VisualizationView;
import visual.dynamic.described.*;
import visual.statik.sampled.*;

/**
 * An example of "sprite animation" that uses: rules
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   FallingPixelApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point
     */
    public void init()
    {
       BufferedImage                  image;       
       Content                        content;
       ImageFactory                   factory;
       int                            height, rgb, stageHeight;
       int                            stageWidth, width;       
       JPanel                         contentPane;       
       Raster                         raster;       
       ResourceFinder                 finder;       
       Stage                          stage;
       VisualizationView              stageView;

       finder      = ResourceFinder.createInstance(this);
       factory     = new ImageFactory(finder);       

       // The Stage
       stageWidth  = 138;
       stageHeight = 100;
       stage       = new Stage(50);
       image       = factory.createBufferedImage("pixels.png");
       stageView   = stage.getView();       
       stageView.setBackground(Color.black);
       stageView.setBounds(0,0,stageWidth,stageHeight);       

       raster     = image.getRaster();
       height     = image.getHeight();
       width      = image.getWidth();

       // The Sprites
       for (int x=0; x<width; x++) 
       {
          for (int y=0; y<height; y++)
          {
             rgb = image.getRGB(x, y);
             stage.add(new FallingPixel(new Color(rgb), x, y));             
          }
       }
       
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(stageView);
        
       stage.start();
    }
}
