import java.awt.*;
import javax.swing.*;

import io.*;
import visual.statik.sampled.*;

/**
 * Illustrates the need for double-buffering
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class FlickerDriver
{
    /**
     * The entry-point of the application
     *
     * @param args  The command-line arguments
     */
    public static void main(String[] args)
    {
       Container                       c;
       ContentFactory                  factory;        
       FlickerCanvas                   canvas;
       JFrame                          f;
       ResourceFinder                  finder;       
       String[]                        names;       
       TransformableContent[]          frames;


       f = new JFrame();
        
       c = (Container)f.getContentPane();
       c.setLayout(new BorderLayout());

       canvas = new FlickerCanvas();
       finder = ResourceFinder.createInstance(canvas);       
       names = finder.loadResourceNames("solidclock.txt");
       
       factory = new ContentFactory(finder);          
       frames = factory.createContents(names, 4);

       canvas.setFrames(frames);

       c.add(canvas, BorderLayout.CENTER);

       f.pack();
       f.setVisible(true);
    }
}
