//[structure1
import java.awt.Image;
import java.io.*;
import javax.imageio.*;
import javax.swing.*;

import app.*;
import io.*;

/**
 * An example that illustrates the rendering of
 * sampled static visual content
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   ImageCanvasApp
       extends AbstractMultimediaApp
{
    /**
     * Default Constructor
     *
     */
    public ImageCanvasApp()
    {
       super();    
    }
//]structure1

//[init1
    /**
     * This method is called just before the main window
     * is first made visible
     */
    public void init()
    {
       Image                     image;
       InputStream               is;       
       ResourceFinder            finder;
       String                    name;
       
       // Get the file name
       name   = rootPaneContainer.getParameter("0");
       if (name == null) name = "scribble.png";
//]init1

//[init2
       // Construct a ResourceFinder
       finder = ResourceFinder.createInstance(this);

       // Read the image
       image  = null;       
       try
       {
          is = finder.findInputStream(name);
          if (is != null) 
          {
             image = ImageIO.read(is);
             is.close();             
          }
       }
       catch (IOException io)
       {
          // image will be null
       }
//]init2

//[init3
       ImageCanvas               canvas;
       JPanel                    contentPane;       
       
       // Create the component that will render the image
       canvas      = new ImageCanvas(image);
       canvas.setBounds(0,
                        0,
                        image.getWidth(null),
                        image.getHeight(null));

       // Add the ImageCanvas to the main window
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(canvas);
    }
//]init3
//[structure2
}
//]structure2
