import java.io.*;
import javax.sound.midi.*;

/**
 * An application that plays a MIDI file
 *
 * @author   Prof. David Bernstein, James Madison University
 * @version  1.0
 */
public class MidiPlayer
{
    /**
     * The entry point
     *
     * @param args   Command-line arguments (args[0] should contain the file)
     */
    public static void main(String[] args) throws Exception
    {
	Sequencer            sequencer;
	Sequence             seq;

	seq = MidiSystem.getSequence(new File(args[0]));

	sequencer = MidiSystem.getSequencer(); 
        sequencer.open();

	sequencer.setSequence(seq);
	sequencer.start();
    }
}
