import app.*;

import java.util.*;
import javax.swing.*;

/**
 * A simple example of a MultimediaApplication
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class      RandomMessageMultimediaApplication
       extends    MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new RandomMessageMultimediaApplication(args, 600, 400));
    }

    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line aguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public RandomMessageMultimediaApplication(String[] args,
                                              int width, int height)
    {
       super(args, new RandomMessageApp(), width, height);     
    }
}
