import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;

/**
 * An example that illustrates the rendering of 
 * described visual content
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class      RandomRectangleApp
       extends    AbstractMultimediaApp
       implements ActionListener
{
    private RandomRectangleCanvas       canvas;

    /**
     * Handle actionperformed messages
     * (required by ActionListener)
     *
     * @param evt  The ActionEvent that generated the message
     */
    public void actionPerformed(ActionEvent evt)
    {
       canvas.repaint();       
    }

    /**
     * The entry point
     */
    public void init()
    {
       JButton             button;       
       JPanel              contentPane;

       canvas = new RandomRectangleCanvas();
       canvas.setBounds(0,0,400,300);
       
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(canvas);

       button = new JButton("Repaint");
       button.addActionListener(this);
       button.setBounds(0,300,100,40);
       contentPane.add(button);       
    }
}
