//[skeleton1
import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;
import io.*;
import visual.*;
import visual.statik.sampled.*;

/**
 * An example that illustrates the use of sampled and described
 * content in the same visualization
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 *
 */
public class   VisualizationApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point of the application
     */
    public void init()
    {
       BufferedImageOpFactory        opFactory;       
       Content                       woods;
       ContentFactory                factory;
       FancyBuzzy                    buzzy;       
       JPanel                        contentPane;       
       ResourceFinder                finder;       
       Visualization                 visualization;
       VisualizationView             view;

//[woods
       finder  = ResourceFinder.createInstance(this);       
       factory   = new ContentFactory(finder);       
       opFactory = BufferedImageOpFactory.createFactory();

       woods  = factory.createContent("woods.png", 3);
       woods.setLocation(0,0);
       woods.setBufferedImageOp(opFactory.createBlurOp(3));
//]woods

//[buzzy
       buzzy  = new FancyBuzzy();
       buzzy.setLocation(200, 318);       
//]buzzy

//[visualization
       visualization = new Visualization();
       view          = visualization.getView();

       view.setBounds(0,0,471,418);     
       view.setSize(471,418);       
       
       visualization.add(woods);
       visualization.add(buzzy);
//]visualization

//[contentPane
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(view);
//]contentPane
    }
}
