import javax.swing.*;
	
import app.*;
	
/**
 * An example that illustrates the use of a "display wall" (i.e.,
 * networked computers that are used to create one large virtual
 * display).  This particular example assumes that the two displays
 * are side-by-side.
 *
 * On the left machine:  java WallApplication left
 * On the right machine: java WallApplication right
 * On the metronome server: java WallApplication
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   WallApplication
       extends MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new WallApplication(args, 320, 480));
    }
	
    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line arguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public WallApplication(String[] args,
                               int width, int height)
    {
       super(args, new WallApp(), width, height);
    }
}
