package visual.dynamic.sampled;

import java.io.*;

/**
 * A FilenameFilter that can be used to accept a sequence of
 * images
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class ImageSequenceFilter implements FilenameFilter
{
    private String       prefix;

    /**
     * Explicit Value Constructor
     *
     * @param prefix   The common prefix for all filenames
     */
    public ImageSequenceFilter(String prefix)
    {
	this.prefix = prefix;
    }

    /**
     * Accept or reject a particular File (required by FilenameFilter)
     *
     * @param dir   The File of interest (not used)
     * @param name  The name of the File
     */
    public boolean accept(File dir, String name)
    {
	return name.startsWith(prefix);
    }
}
