package visual.dynamic.sampled;

import java.awt.*;

/**
 * A superimposition on a frame
 *
 * This interface could extend Transition but... a Transition is
 * not a Superimposition
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public interface Superimposition extends FrameOp
{
    /**
     * Get the position
     * 
     * Possible values: javax.SwingConstants.NORTH, NORTH_EAST,
     * EAST, SOUTH_EAST, SOUTH, SOUTH_WEST, WEST, NORTH_WEST, or CENTER)
     * 
     * @return     The position
     */
    public abstract int getPosition();
}
